Subject: bug#51358: closed (Re: bug#51358: [PATCH] Getting rid of some ocaml4.07-* packages.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 20 Nov 2021 18:57:03 +0000

Your bug report

#51358: [PATCH] Getting rid of some ocaml4.07-* packages.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
51358: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=51358
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#51358: [PATCH] Getting rid of some ocaml4.07-* packages.
From: Julien Lepiller <[email-masked]>
To: zimoun <[email-masked]>
Cc: [email-masked]
Date: Sat, 20 Nov 2021 19:56:15 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Pushed to master as e9d3f3656bd8a16deb1f643c9ed9f5706a6f9eaf to
0846e7d3265f9fc1b7d83676ef75c55f78faa587.

Now only three leaf packages are left: pplacer, bap and ocaml4.07-core.
I'll see what I can do. Removing the last one should be relatively
easy. Bap needs an update to 2.3.0 in addition to switching to
ocaml-4.11, but the update requires some more packages, so I'll need a
bit of time. pplacer is stuck, the version we have is not even
compatible with 4.07, but was heavily patched by Ricardo once. I'm
hoping for another miracle :)

Subject: [PATCH] Getting rid of some ocaml4.07-* packages.
From: Julien Lepiller <[email-masked]>
To: [email-masked]
Date: Sat, 23 Oct 2021 19:52:12 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix! this small patch series is a step forward to removing ocaml4.07
packages. There are a few leaf packages that still depend on ocaml
4.07, and this series takes care of fftw3, by building it with our
latest ocaml package (4.11, even though 4.13 is out; wip...).

The last patch is a bit messy. I didn't want to change to much from it,
but its source is no longer available. When testing the patch, guix was
able to use disarchive to get the content from SWH, but after a GC, and
one day, I am no longer able to download the sources. I know of the new
place, should I use it instead?

Trying to use Disarchive to assemble
/gnu/store/jxqnv4y2gyccsfhlbf1n7s5vn1rqgvxc-ocaml-charinfo-width-1.1.0.tar.gz...
Assembling the directory ocaml4.07-charinfo-width-1.1.0 Downloading
/gnu/store/jxqnv4y2gyccsfhlbf1n7s5vn1rqgvxc-ocaml-charinfo-width-1.1.0.tar.gz
from Software Heritage... tar extraction failure 32512 Could not
resolve directory reference failed to download
"/gnu/store/jxqnv4y2gyccsfhlbf1n7s5vn1rqgvxc-ocaml-charinfo-width-1.1.0.tar.gz"
from "https://bitbucket.org/zandoye/charinfo_width/get/1.1.0.tar.gz"
builder for
`/gnu/store/hshfvzxby5cfwmd5fzn8w82pxj525xjr-ocaml-charinfo-width-1.1.0.tar.gz.drv'
failed to produce output path
`/gnu/store/jxqnv4y2gyccsfhlbf1n7s5vn1rqgvxc-ocaml-charinfo-width-1.1.0.tar.gz'